Package ru.bitel.bgbilling.modules.tv.common.bean

# Class TvAccountSpec

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.bgbilling.modules.tv.common.bean.TvAccountSpec

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class TvAccountSpec extends Entity

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TvAccountSpec()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConfig()`
  `Set<Integer>`
  `getDeviceGroupIds()`
  `Set<Integer>`
  `getDeviceTypeIds()`
  `Set<Integer>`
  `getParentTypeIds()`
  `boolean`
  `isNeedDevice()`
  `boolean`
  `isNeedIdentifier()`
  `boolean`
  `isNeedInterface()`
  `boolean`
  `isNeedLogin()`
  `boolean`
  `isNeedMacAddress()`
  `boolean`
  `isNeedPassword()`
  `boolean`
  `isNeedPin()`
  `boolean`
  `isNeedVlan()`
  `boolean`
  `isPersonalInterface()`
  `boolean`
  `isPersonalVlan()`
  `TvAccountSpec`
  `setConfig(String config)`
  `TvAccountSpec`
  `setDeviceGroupIds(Set<Integer> deviceGroupIds)`
  `TvAccountSpec`
  `setDeviceTypeIds(Set<Integer> deviceTypeIds)`
  `TvAccountSpec`
  `setEntitySpecId(int entitySpecId)`
  `TvAccountSpec`
  `setId(int id)`
  Устанавливает id объекта
  `TvAccountSpec`
  `setNeedDevice(boolean needDevice)`
  `TvAccountSpec`
  `setNeedIdentifier(boolean needIdentifier)`
  `TvAccountSpec`
  `setNeedInterface(boolean needPort)`
  `TvAccountSpec`
  `setNeedLogin(boolean needLogin)`
  `TvAccountSpec`
  `setNeedMacAddress(boolean needMacAddress)`
  `TvAccountSpec`
  `setNeedPassword(boolean needPassword)`
  `TvAccountSpec`
  `setNeedPin(boolean needPin)`
  `TvAccountSpec`
  `setNeedVlan(boolean needVlan)`
  `TvAccountSpec`
  `setParentTypeIds(Set<Integer> childrenServTypeIds)`
  `TvAccountSpec`
  `setPersonalInterface(boolean personalInterface)`
  `TvAccountSpec`
  `setPersonalVlan(boolean personalVlan)`
  `TvAccountSpec`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### TvAccountSpec

    public TvAccountSpec()

- ## Method Details

  - ### getConfig

    public String getConfig()

  - ### getDeviceGroupIds

    public Set<Integer> getDeviceGroupIds()

  - ### getDeviceTypeIds

    public Set<Integer> getDeviceTypeIds()

  - ### getParentTypeIds

    public Set<Integer> getParentTypeIds()

  - ### isNeedDevice

    public boolean isNeedDevice()

  - ### isNeedIdentifier

    public boolean isNeedIdentifier()

  - ### isNeedInterface

    public boolean isNeedInterface()

  - ### isNeedLogin

    public boolean isNeedLogin()

  - ### isNeedMacAddress

    public boolean isNeedMacAddress()

  - ### isNeedPassword

    public boolean isNeedPassword()

  - ### isNeedPin

    public boolean isNeedPin()

  - ### isNeedVlan

    public boolean isNeedVlan()

  - ### isPersonalInterface

    public boolean isPersonalInterface()

  - ### isPersonalVlan

    public boolean isPersonalVlan()

  - ### setConfig

    public TvAccountSpec setConfig(String config)

  - ### setDeviceGroupIds

    public TvAccountSpec setDeviceGroupIds(Set<Integer> deviceGroupIds)

  - ### setDeviceTypeIds

    public TvAccountSpec setDeviceTypeIds(Set<Integer> deviceTypeIds)

  - ### setEntitySpecId

    public TvAccountSpec setEntitySpecId(int entitySpecId)
    Overrides:
      `setEntitySpecId` in class `AbstractEntity`

  - ### setId

    public TvAccountSpec setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setNeedDevice

    public TvAccountSpec setNeedDevice(boolean needDevice)

  - ### setNeedIdentifier

    public TvAccountSpec setNeedIdentifier(boolean needIdentifier)

  - ### setNeedInterface

    public TvAccountSpec setNeedInterface(boolean needPort)

  - ### setNeedLogin

    public TvAccountSpec setNeedLogin(boolean needLogin)

  - ### setNeedMacAddress

    public TvAccountSpec setNeedMacAddress(boolean needMacAddress)

  - ### setNeedPassword

    public TvAccountSpec setNeedPassword(boolean needPassword)

  - ### setNeedPin

    public TvAccountSpec setNeedPin(boolean needPin)

  - ### setNeedVlan

    public TvAccountSpec setNeedVlan(boolean needVlan)

  - ### setParentTypeIds

    public TvAccountSpec setParentTypeIds(Set<Integer> childrenServTypeIds)

  - ### setPersonalInterface

    public TvAccountSpec setPersonalInterface(boolean personalInterface)

  - ### setPersonalVlan

    public TvAccountSpec setPersonalVlan(boolean personalVlan)

  - ### setTitle

    public TvAccountSpec setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`